package apple

import (
	"github.com/gin-gonic/gin"
	appleLogic "github.com/perfect-panel/server/internal/logic/public/iap/apple"
	"github.com/perfect-panel/server/internal/svc"
	"github.com/perfect-panel/server/pkg/result"
)

func GetAppleStatusHandler(svcCtx *svc.ServiceContext) func(c *gin.Context) {
	return func(c *gin.Context) {
		l := appleLogic.NewGetStatusLogic(c.Request.Context(), svcCtx)
		resp, err := l.GetStatus()
		result.HttpResult(c, resp, err)
	}
}
